summaryrefslogtreecommitdiffstats
path: root/source/ap/at
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/at')
-rwxr-xr-xsource/ap/at/at.SlackBuild14
-rw-r--r--source/ap/at/doinst.sh12
-rw-r--r--source/ap/at/slack-desc2
3 files changed, 8 insertions, 20 deletions
diff --git a/source/ap/at/at.SlackBuild b/source/ap/at/at.SlackBuild
index 02082e75a..b646ab416 100755
--- a/source/ap/at/at.SlackBuild
+++ b/source/ap/at/at.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,20 +23,20 @@
PKGNAM=at
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -55,7 +55,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf at-$VERSION
tar xvf $CWD/at-${VERSION}.tar.?z* || exit 1
-cd at-$VERSION
+cd at-$VERSION || exit 1
chown -R root:root .
find . \
@@ -72,7 +72,7 @@ chown daemon:daemon /var/spool/at{jobs,spool}
CFLAGS="$SLKCFLAGS" \
./configure \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Does not like parallel builds:
make || exit 1
diff --git a/source/ap/at/doinst.sh b/source/ap/at/doinst.sh
index 555d8319b..6c4b54313 100644
--- a/source/ap/at/doinst.sh
+++ b/source/ap/at/doinst.sh
@@ -16,15 +16,3 @@ if [ ! -r var/spool/atjobs/.SEQ ]; then
chmod 660 var/spool/atjobs/.SEQ
chown daemon.daemon var/spool/atjobs/.SEQ
fi
-( cd usr/bin ; rm -rf atq )
-( cd usr/bin ; ln -sf at atq )
-( cd usr/bin ; rm -rf atrm )
-( cd usr/bin ; ln -sf at atrm )
-( cd usr/man/man1 ; rm -rf atq.1.gz )
-( cd usr/man/man1 ; ln -sf at.1.gz atq.1.gz )
-( cd usr/man/man1 ; rm -rf atrm.1.gz )
-( cd usr/man/man1 ; ln -sf at.1.gz atrm.1.gz )
-( cd usr/man/man1 ; rm -rf batch.1.gz )
-( cd usr/man/man1 ; ln -sf at.1.gz batch.1.gz )
-( cd usr/man/man5 ; rm -rf at_deny.5.gz )
-( cd usr/man/man5 ; ln -sf at_allow.5.gz at_deny.5.gz )
diff --git a/source/ap/at/slack-desc b/source/ap/at/slack-desc
index ba276df62..10fa3a3ed 100644
--- a/source/ap/at/slack-desc
+++ b/source/ap/at/slack-desc
@@ -14,6 +14,6 @@ at: time.
at:
at: The 'at' command was written by David Parsons and Thomas Koenig.
at:
-at:
+at: Homepage: http://anonscm.debian.org/cgit/collab-maint/at.git/
at:
at: